# Class WsFrameClient

java.lang.Object
org.apache.tomcat.websocket.WsFrameBase
org.apache.tomcat.websocket.WsFrameClient

public class WsFrameClient extends WsFrameBase
WebSocket frame handler for client connections.

## Nested Class Summary

### Nested classes/interfaces inherited from class WsFrameBase

`WsFrameBase.ReadState`

## Field Summary

### Fields inherited from class WsFrameBase

`inputBuffer, wsSession`

## Constructor Summary

Constructors
Constructor
Description
`WsFrameClient(ByteBuffer response, AsyncChannelWrapper channel, WsSession wsSession, Transformation transformation)`
Constructs a new WsFrameClient.

## Method Summary

Modifier and Type
Method
Description
`protected Log`
`getLog()`
Returns the log instance for this frame.
`protected boolean`
`isMasked()`
Returns whether frames from this peer must be masked.
`protected void`
`resumeProcessing()`
This method will be invoked when the read operation is resumed.

### Methods inherited from class WsFrameBase

`byteArrayToLong, changeReadState, changeReadState, getReadState, getTransformation, isOpen, isSuspended, processInputBuffer, resume, sendMessageBinary, sendMessageText, suspend, updateStats`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WsFrameClient

public WsFrameClient(ByteBuffer response, AsyncChannelWrapper channel, WsSession wsSession, Transformation transformation)
Constructs a new WsFrameClient.

Parameters:
  `response` - The response buffer
  `channel` - The async channel wrapper
  `wsSession` - The WebSocket session
  `transformation` - The transformation to apply

## Method Details

### isMasked

protected boolean isMasked()
Description copied from class: `WsFrameBase`
Returns whether frames from this peer must be masked.

Specified by:
  `isMasked` in class `WsFrameBase`
Returns:
  `true` if frames must be masked

### getLog

protected Log getLog()
Description copied from class: `WsFrameBase`
Returns the log instance for this frame.

Specified by:
  `getLog` in class `WsFrameBase`
Returns:
  the log instance

### resumeProcessing

protected void resumeProcessing()
Description copied from class: `WsFrameBase`
This method will be invoked when the read operation is resumed. Since suspend of the read operation can be invoked at any time, when implementing this method one should consider that there might still be data remaining into the internal buffers that needs to be processed before reading again from the socket.

Specified by:
  `resumeProcessing` in class `WsFrameBase`